<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class move_inventoryccms extends Model
{
    use HasFactory;
    protected $table='move_inventoryccms';
    protected $fillable=['from_jilla_id', 'maker_name', 'ccmsdata', 'quantity', 'to_jilla_id',"inward_id", 'status','remarks','date_of_transfer', 'files','ccms_ph_receive_quantity','invoice_number','is_eesl'];

    public function from_district()
    {
        return $this->hasOne('App\Models\area_master','id','from_jilla_id');
    }
     public function to_district()
    {
        return $this->hasOne('App\Models\area_master','id','to_jilla_id');
    }
    public function maker_details()
    {
        return $this->hasOne('App\Models\Makelist','name','maker_name');
    }
}